"use strict";
var EmitterWrapper = (function () {
    function EmitterWrapper(emitter) {
        this.emitter = emitter;
        this.addListener = this.on;
        this.listeners = {};
    }
    EmitterWrapper.prototype.on = function (event, listener) {
        this.emitter.addListener(event, listener);
        if (!this.listeners.hasOwnProperty(event)) {
            this.listeners[event] = [];
        }
        this.listeners[event].push(listener);
        return this;
    };
    EmitterWrapper.prototype.removeAllListeners = function (event) {
        var _this = this;
        var events = event ? [event] : Object.keys(this.listeners);
        events.forEach(function (event) {
            _this.listeners[event].forEach(function (listener) {
                return _this.emitter.removeListener(event, listener);
            });
            delete _this.listeners[event];
        });
        return this;
    };
    return EmitterWrapper;
}());
exports.EmitterWrapper = EmitterWrapper;
//# sourceMappingURL=emitter_wrapper.js.map