// File
// ====
//
// File object used for tracking files in `file-list.js`
"use strict";
// Constructor
var File = (function () {
    function File(path, mtime, doNotCache) {
        // used for serving (processed path, eg some/file.coffee -> some/file.coffee.js)
        if (doNotCache === void 0) { doNotCache = false; }
        this.path = path;
        this.mtime = mtime;
        this.doNotCache = doNotCache;
        // original absolute path, id of the file
        this.originalPath = path;
        // where the content is stored (processed)
        this.contentPath = path;
        this.isUrl = false;
    }
    File.prototype.toString = function () {
        return this.path;
    };
    return File;
}());
exports.File = File;
//# sourceMappingURL=file.js.map