/**
 * Stopper middleware is responsible for communicating with `karma stop`.
 */
"use strict";
var log = require('../logger').create('middleware:stopper');
function create(urlRoot) {
    return function (request, response, next) {
        if (request.url !== urlRoot + 'stop')
            return next();
        response.writeHead(200);
        log.info('Stopping server');
        response.end('OK');
        process.kill(process.pid, 'SIGINT');
    };
}
exports.create = create;
create.$inject = ['config.urlRoot'];
//# sourceMappingURL=stopper.js.map