/**
 * Strip host middleware is responsible for stripping hostname from request path
 * This to handle requests that uses (normally over proxies) an absoluteURI as request path
 */
"use strict";
function create() {
    return function (request, response, next) {
        var stripHostFromUrl = function (url) { return url.replace(/^http[s]?:\/\/([a-z\-\.:\d]+)\//, '/'); };
        request.normalizedUrl = stripHostFromUrl(request.url) || request.url;
        next();
    };
}
exports.create = create;
//# sourceMappingURL=strip_host.js.map