"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var base_1 = require("./base");
var DotsReporter = (function (_super) {
    __extends(DotsReporter, _super);
    function DotsReporter(formatError, reportSlow, useColors, browserConsoleLogOptions) {
        var _this = _super.call(this, formatError, reportSlow, useColors, browserConsoleLogOptions) || this;
        _this.DOTS_WRAP = 80;
        _this.EXCLUSIVELY_USE_COLORS = false;
        _this.onRunStart = function () {
            _this._browsers = [];
            _this._dotsCount = 0;
        };
        _this.onBrowserStart = function (browser) {
            _this._browsers.push(browser);
        };
        _this.writeCommonMsg = function (msg) {
            if (_this._dotsCount) {
                _this._dotsCount = 0;
                msg = '\n' + msg;
            }
            _this.write(msg);
        };
        _this.specSuccess = function () {
            _this._dotsCount = (_this._dotsCount + 1) % _this.DOTS_WRAP;
            _this.write(_this._dotsCount ? '.' : '.\n');
        };
        _this.onBrowserComplete = function (browser) {
            _this.writeCommonMsg(_this.renderBrowser(browser) + '\n');
        };
        _this.onRunComplete = function (browsers, results) {
            if (browsers.length > 1 && !results.disconnected && !results.error) {
                if (!results.failed) {
                    _this.write(_this.TOTAL_SUCCESS, results.success);
                }
                else {
                    _this.write(_this.TOTAL_FAILED, results.failed, results.success);
                }
            }
        };
        return _this;
    }
    return DotsReporter;
}(base_1.BaseReporter));
exports.DotsReporter = DotsReporter;
//# sourceMappingURL=dots.js.map