"use strict";
var helper = require("../helper");
var MultiReporter = (function () {
    function MultiReporter(reporters) {
        this.reporters = reporters;
    }
    MultiReporter.prototype.addAdapter = function (adapter) {
        this.reporters.forEach(function (reporter) {
            reporter.adapters.push(adapter);
        });
    };
    MultiReporter.prototype.removeAdapter = function (adapter) {
        this.reporters.forEach(function (reporter) {
            helper.arrayRemove(reporter.adapters, adapter);
        });
    };
    return MultiReporter;
}());
exports.MultiReporter = MultiReporter;
//# sourceMappingURL=multi.js.map