"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var base_1 = require("./base");
var ProgressReporter = (function (_super) {
    __extends(ProgressReporter, _super);
    function ProgressReporter(formatError, reportSlow, useColors, browserConsoleLogOptions) {
        var _this = _super.call(this, formatError, reportSlow, useColors, browserConsoleLogOptions) || this;
        _this.writeCommonMsg = function (msg) {
            _this.write(_this._remove() + msg + _this._render());
        };
        _this.specSuccess = function () {
            _this.write(_this._refresh());
        };
        _this.onBrowserComplete = function () {
            _this.write(_this._refresh());
        };
        _this.onRunStart = function () {
            _this._browsers = [];
            _this._isRendered = false;
        };
        _this.onBrowserStart = function (browser) {
            _this._browsers.push(browser);
            if (_this._isRendered) {
                _this.write('\n');
            }
            _this.write(_this._refresh());
        };
        _this.EXCLUSIVELY_USE_COLORS = false;
        return _this;
    }
    ProgressReporter.prototype._remove = function () {
        if (!this._isRendered) {
            return '';
        }
        var cmd = '';
        this._browsers.forEach(function () {
            cmd += '\x1B[1A' + '\x1B[2K';
        });
        this._isRendered = false;
        return cmd;
    };
    ProgressReporter.prototype._render = function () {
        this._isRendered = true;
        return this._browsers.map(this.renderBrowser).join('\n') + '\n';
    };
    ProgressReporter.prototype._refresh = function () {
        return this._remove() + this._render();
    };
    return ProgressReporter;
}(base_1.BaseReporter));
exports.ProgressReporter = ProgressReporter;
//# sourceMappingURL=progress.js.map