"use strict";
var path = require("path");
var fs = require("graceful-fs");
var os = require("os");
var rimraf = require("rimraf");
var log = require('./logger').create('temp-dir');
var TEMP_DIR = os.tmpdir();
function getPath(suffix) {
    return path.normalize(TEMP_DIR + suffix);
}
exports.getPath = getPath;
function create(path) {
    log.debug('Creating temp dir at %s', path);
    try {
        fs.mkdirSync(path);
    }
    catch (e) {
        log.warn('Failed to create a temp dir at %s', path);
    }
    return path;
}
exports.create = create;
function remove(path, done) {
    log.debug('Cleaning temp dir %s', path);
    rimraf(path, done);
}
exports.remove = remove;
//# sourceMappingURL=temp_dir.js.map